Boomi API Control Plane REST API - Metrics
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get metrics
Get metrics for an API or an application for a single environment.
Authorizations:
bearerAuth
Request Body schema: application/jsonrequired
| end required | string <date> End date of the metrics range (inclusive). |
| environment required | string <uuid> UUID of the environment to query metrics from. |
| id required | string <uuid> UUID of the API or Application to query metrics for. |
| start required | string <date> Start date of the metrics range (inclusive). |
| type required | string Enum: "API" "APP" Whether to query metrics for an API or an Application. |
Responses
Response Schema: application/json
required | object (MetricsDetails) Time-series hit counts and response times. |
required | object (MetricsRequest) The query parameters used to fetch these metrics. |
required | object (MetricsSums) Aggregated hit and response time totals. |
Request samples
- Payload
Content type
application/json
{- "type": "API",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "start": "2019-08-24",
- "end": "2019-08-24"
}Response samples
- 200
- 204
- 501
- default
Content type
application/json
{- "metadata": {
- "type": "API",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "sums": {
- "hits": {
- "total": 0,
- "perSecond": 0.1,
- "byCode": {
- "property1": 0,
- "property2": 0
}
}, - "responseTime": {
- "min": 0.1,
- "max": 0.1,
- "avg": 0.1
}
}, - "details": {
- "hits": {
- "total": [
- 0
], - "byCode": {
- "property1": [
- 0
], - "property2": [
- 0
]
}
}, - "responseTime": {
- "min": [
- 0.1
], - "max": [
- 0.1
], - "avg": [
- 0.1
]
}
}
}Was this topic helpful?